Get agent
curl --request GET \
--url https://api.callrounded.com/v1/agents/{agent_id} \
--header 'X-Api-Key: <api-key>'{
"data": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_message": "Hello, how can I help you today?",
"initial_message_delay": 0,
"max_call_duration": 300,
"presence_check_phrases": [
"Allo, vous êtes là ?",
"Pouvez-vous répéter s'il vous plaît ?"
],
"presence_check_idle_threshold": 10,
"presence_check_max_times": 1,
"base_prompt": "You are a helpful assistant",
"voice": {
"provider": "openai",
"instructions": "Warm, empathetic, friendly",
"speed": 1
},
"states": [
{
"name": "<string>",
"prompt": "<string>",
"llm": {
"temperature": 0.5,
"provider": "azure_openai"
},
"tools": [
{
"description": "Wait for 2 seconds",
"type": "wait"
},
{
"description": "Hang up the call",
"filler_sentence": "Goodbye!",
"type": "hang_up"
},
{
"description": "Transfer the call to the next available assistant",
"filler_sentence": "I'm transferring you to the next available assistant...",
"type": "transfer_call"
},
{
"description": "Leave a voicemail message",
"filler_sentence": "I tried to call you but you didn't answer. Please call me back at 1234567890",
"type": "leave_voicemail_message"
},
{
"content_type": "url_params",
"description": "Get the availability of the requested assistant by using its name",
"filler_sentence": "I'm checking the availability of the requested assistant...",
"headers": [
{
"description": "The API key to use to call the custom function",
"name": "Authorization",
"value": "Bearer 123"
}
],
"method": "GET",
"parameters": [
{
"description": "The name of the assistant to check the availability of",
"name": "assistant_name",
"type": "string"
}
],
"response_mapping": [
{
"destination_variable": "assistant_availability",
"json_path_to_data": "$.availability"
}
],
"type": "custom_function",
"url": "https://api.example.com/availability"
}
],
"transitions": [
{
"condition": "User provides valid input",
"destination_state_name": "next_state_name",
"filler_sentence": "I'm sorry, I didn't catch that. Can you please repeat?"
}
],
"variables": [
{
"description": "The variable's description",
"extraction_instructions": "The instructions for the variable extraction",
"name": "variable_name",
"type": "string"
}
],
"x_position": -401.1747211895911,
"y_position": 264.2527881040892,
"features": {
"entity_detection": true
}
}
],
"initial_state_name": "<string>",
"llm": {
"temperature": 0.5,
"provider": "azure_openai"
},
"transcriber": {
"provider": "azure"
},
"secure_recording_urls": true,
"interruptions": true,
"interruptions_sensitivity": "high",
"webhook_url": "https://webhook.site/123e4567-e89b-12d3-a456-426614174000",
"webhook_subscriptions": [
"event_variable_value_updated",
"event_all_variables_resolved"
],
"custom_vocabulary": [
"super",
"basta",
"bravo",
"gmail.com"
],
"version": 1,
"variables": [
{
"name": "<string>",
"type": "<string>",
"description": "The name of the customer",
"extraction_instructions": "Extract the name of the customer"
}
]
},
"message": "Agent retrieved successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}agents
Get agent
Retrieve the active configuration of an agent by its ID. Returns the complete agent configuration including all variables, states, voice, transcriber and LLM settings. The response includes headers about rate limiting.
GET
/
v1
/
agents
/
{agent_id}
Get agent
curl --request GET \
--url https://api.callrounded.com/v1/agents/{agent_id} \
--header 'X-Api-Key: <api-key>'{
"data": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_message": "Hello, how can I help you today?",
"initial_message_delay": 0,
"max_call_duration": 300,
"presence_check_phrases": [
"Allo, vous êtes là ?",
"Pouvez-vous répéter s'il vous plaît ?"
],
"presence_check_idle_threshold": 10,
"presence_check_max_times": 1,
"base_prompt": "You are a helpful assistant",
"voice": {
"provider": "openai",
"instructions": "Warm, empathetic, friendly",
"speed": 1
},
"states": [
{
"name": "<string>",
"prompt": "<string>",
"llm": {
"temperature": 0.5,
"provider": "azure_openai"
},
"tools": [
{
"description": "Wait for 2 seconds",
"type": "wait"
},
{
"description": "Hang up the call",
"filler_sentence": "Goodbye!",
"type": "hang_up"
},
{
"description": "Transfer the call to the next available assistant",
"filler_sentence": "I'm transferring you to the next available assistant...",
"type": "transfer_call"
},
{
"description": "Leave a voicemail message",
"filler_sentence": "I tried to call you but you didn't answer. Please call me back at 1234567890",
"type": "leave_voicemail_message"
},
{
"content_type": "url_params",
"description": "Get the availability of the requested assistant by using its name",
"filler_sentence": "I'm checking the availability of the requested assistant...",
"headers": [
{
"description": "The API key to use to call the custom function",
"name": "Authorization",
"value": "Bearer 123"
}
],
"method": "GET",
"parameters": [
{
"description": "The name of the assistant to check the availability of",
"name": "assistant_name",
"type": "string"
}
],
"response_mapping": [
{
"destination_variable": "assistant_availability",
"json_path_to_data": "$.availability"
}
],
"type": "custom_function",
"url": "https://api.example.com/availability"
}
],
"transitions": [
{
"condition": "User provides valid input",
"destination_state_name": "next_state_name",
"filler_sentence": "I'm sorry, I didn't catch that. Can you please repeat?"
}
],
"variables": [
{
"description": "The variable's description",
"extraction_instructions": "The instructions for the variable extraction",
"name": "variable_name",
"type": "string"
}
],
"x_position": -401.1747211895911,
"y_position": 264.2527881040892,
"features": {
"entity_detection": true
}
}
],
"initial_state_name": "<string>",
"llm": {
"temperature": 0.5,
"provider": "azure_openai"
},
"transcriber": {
"provider": "azure"
},
"secure_recording_urls": true,
"interruptions": true,
"interruptions_sensitivity": "high",
"webhook_url": "https://webhook.site/123e4567-e89b-12d3-a456-426614174000",
"webhook_subscriptions": [
"event_variable_value_updated",
"event_all_variables_resolved"
],
"custom_vocabulary": [
"super",
"basta",
"bravo",
"gmail.com"
],
"version": 1,
"variables": [
{
"name": "<string>",
"type": "<string>",
"description": "The name of the customer",
"extraction_instructions": "Extract the name of the customer"
}
]
},
"message": "Agent retrieved successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
The ID of the agent to get.
Query Parameters
The configuration version of the agent to get. If not provided, the latest published version is returned.
Response
Successfully updated agent
The agent data retrieved.
Show child attributes
Show child attributes
Response message indicating the result of the operation.
Show child attributes
Show child attributes
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}HTTP status code of the response.
⌘I